package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.uas.platform.b2b.dao.B2bCodeSetDao;
import com.uas.platform.b2b.erp.model.BarcodeSet;
import com.uas.platform.b2b.erp.service.BarcodeSetService;
import com.uas.platform.b2b.model.B2bCodeSet;
import com.uas.platform.b2b.support.SystemSession;

@Service
public class BarcodeSetServiceImpl implements BarcodeSetService{
	
	@Autowired
	private B2bCodeSetDao b2bCodeSetDao;

	@Override
	public List<B2bCodeSet> convertBarcodeSet(List<BarcodeSet> codeSets) {
		List<B2bCodeSet> b2bCodeSets = new ArrayList<B2bCodeSet>();
		long enUU = SystemSession.getUser().getEnterprise().getUu();
		for(BarcodeSet codeSet : codeSets) {
		B2bCodeSet	b2bCodeSet = codeSet.convent();
		List<B2bCodeSet> b2bCodeSets2 = b2bCodeSetDao.findByEnUUAndCode(enUU, b2bCodeSet.getCode());
		//判断b2bCodeSets2是否存在
		if (b2bCodeSets2.size() == 0) {
			b2bCodeSets.add(b2bCodeSet);
			}else{
				b2bCodeSet.setId(b2bCodeSets2.get(0).getId()); 
				b2bCodeSets.add(b2bCodeSet);
			}
		}
		return b2bCodeSets;
	}

}
